package com.xinelu.manage.domain.departmentdiseasetype;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 科室病种信息对象 department_disease_type
 *
 * @author xinelu
 * @date 2024-02-26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "科室病种信息对象", description = "department_disease_type")
public class DepartmentDiseaseType extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 所属科室id
     */
    @ApiModelProperty(value = "所属科室id")
    @Excel(name = "所属科室id")
    private Long departmentId;

    /**
     * 所属科室名称
     */
    @ApiModelProperty(value = "所属科室名称")
    @Excel(name = "所属科室名称")
    private String departmentName;

    /**
     * 病种名称
     */
    @ApiModelProperty(value = "病种名称")
    @Excel(name = "病种名称")
    private String diseaseTypeName;

    /**
     * 病种代码
     */
    @ApiModelProperty(value = "病种代码")
    @Excel(name = "病种代码")
    private String diseaseTypeCode;

    /**
     * 对应诊断信息
     */
    @ApiModelProperty(value = "对应诊断信息")
    @Excel(name = "对应诊断信息")
    private String diagnosisInfo;

    /**
     * 病种概述
     */
    @ApiModelProperty(value = "病种概述")
    @Excel(name = "病种概述")
    private String diseaseTypeRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("departmentId", getDepartmentId())
                .append("departmentName", getDepartmentName())
                .append("diseaseTypeName", getDiseaseTypeName())
                .append("diseaseTypeCode", getDiseaseTypeCode())
                .append("diagnosisInfo", getDiagnosisInfo())
                .append("diseaseTypeRemark", getDiseaseTypeRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
